<!DOCTYPE html>
<html>
{% load static %}
{% load leaflet_tags %}
<head>
	{% leaflet_js %}
	{% leaflet_css %}
	<title>Strona Domowa</title>
	<style type="text/css">
		#gis {width: 80%; height: 700px;}
	</style>
	<link rel="stylesheet" type="text/css" href="{% static 'layercontrol/leaflet.groupedlayercontrol.css' %}">
	<script type="text/javascript" src="{% static 'dist/leaflet.ajax.js' %}"></script>
	<script type="text/javascript" src="{% static 'layercontrol/leaflet.groupedlayercontrol.js' %}"></script>
	<script src="https://unpkg.com/proj4leaflet@1.0.2/lib/proj4-compressed.js"></script>
	<script src="https://unpkg.com/proj4leaflet@1.0.2/src/proj4leaflet.js"></script>
	<script type="text/javascript" src="{% static 'wmts/TileLayer.ProjWMTS.js' %}"></script>
	
</head>
<body>
<h3>Strona testowa</h3>
<br>
<script type="text/javascript">
	function warstwy(map, options){

		var crs = new L.Proj.CRS(
		    "EPSG:2180",
		    "+proj=tmerc +lat_0=0 +lon_0=19 +k=0.9993 +x_0=500000 +y_0=-5300000 +ellps=GRS80 units=m +no_defs",
		    {}
		);
		var osm = L.tileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
				maxZoom: 19,
				attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'
			});
		var OpenTopoMap = L.tileLayer('http://{s}.tile.opentopomap.org/{z}/{x}/{y}.png', {
			maxZoom: 17,
			attribution: 'Map data: &copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>, <a href="http://viewfinderpanoramas.org">SRTM</a> | Map style: &copy; <a href="https://opentopomap.org">OpenTopoMap</a> (<a href="https://creativecommons.org/licenses/by-sa/3.0/">CC-BY-SA</a>)'
		});


		var granicagm = new L.GeoJSON.AJAX("{% url 'granicagminy' %}",{

		});

		var granicamst = new L.GeoJSON.AJAX("{% url 'granicamiasta' %}",{

		});
		var obszdegradowany = new L.GeoJSON.AJAX("{% url 'obszarzdegradowany' %}",{
			style: function kolory(feature){
				switch(feature.properties.nazwa2){
					case 'PRZYTKOWICE':
					return{
						color: 'orange',
						fillOpacity: 0.8
					};
					break;
					case 'BUGAJ':
						return{
							color: 'purple'
						};
					break;
				}
			},
			onEachFeature: function(feature,layer){
				layer.bindPopup(feature.properties.nazwa2.toString())

			}
			

		});

		var points = new L.GeoJSON.AJAX("{% url 'punkty' %}",{
			pointToLayer: function (feature, latlng) {
                return L.marker(latlng, {
                    icon: L.icon({
                        iconUrl: "static/img/red.png",
                        iconSize: [24, 28],
                        iconAnchor: [12, 28],
                        popupAnchor: [0, -25]
                    }),
                    title: feature.properties.NAME,
                    riseOnHover: true
                });
            },
			onEachFeature: function(feature,layer){
				layer.bindPopup(feature.properties.name.toString());
			}
		});

		var orto = L.tileLayer.projwmts('https://mapy.geoportal.gov.pl/wss/service/WMTS/guest/wmts/ORTO', {
            format: 'image/png',
            tileSize: 512,
            version: '1.0.0',
            transparent: true,
            crs: crs,
            origin: [850000.0, 100000.0],
            scales: [7559538.928571429, 3779769.4642857146, 1889884.7321428573, 944942.3660714286, 472471.1830357143, 236235.59151785716, 94494.23660714286, 47247.11830357143, 23623.559151785714, 9449.423660714287, 4724.711830357143, 1889.8847321428573, 944.9423660714286, 472.4711830357143],
            tilematrixSet: 'EPSG:2180',
            opacity: 0.8,
            crossOrigin: true,
            minZoom: 5
        });

        var plany = L.tileLayer.wms('http://wms.epodgik.pl/cgi-bin/KrajowaIntegracjaMiejscowychPlanowZagospodarowaniaPrzestrzennego', {
		    layers: 'raster-ras'
		});

		granicagm.addTo(map);
		points.addTo(map);
		granicamst.addTo(map);

		var baseLayers = {
			"OSM": osm,
			"OpenTopoMap":OpenTopoMap,
			"Ortofotomapa": orto,
		}
		var groupedOverlays = {
		  "Warstwy": {
		    "punkty": points,
		    "Obszar Zdegradowany": obszdegradowany,
		    "mpzp": plany

		  },
		  "Granice": {
		  	"granica miasta": granicamst,
		  	"granicagm": granicagm
		  }
		};
		L.control.groupedLayers(baseLayers, groupedOverlays).addTo(map);
	}

</script>
{% leaflet_map "gis" callback="window.warstwy" %}
</body>
</html>